Skip to main content
GET
/
evals
Error
A valid request URL is required to generate request examples
{
  "object": "list",
  "data": [
    {
      "object": "eval",
      "id": "<string>",
      "name": "<string>",
      "data_source_config": {
        "type": "custom"
      },
      "testing_criteria": null,
      "created_at": 123,
      "metadata": {}
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Authorizations

api-key
string
header
required

Headers

aoai-evals
enum<string>
required

Enables access to AOAI Evals, a preview feature. This feature requires the 'aoai-evals' header to be set to 'preview'.

Available options:
preview

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview
after
string

Identifier for the last eval from the previous pagination request.

limit
integer<int32>
default:20

A limit on the number of evals to be returned in a single pagination response.

order
enum<string>
default:asc

Sort order for evals by timestamp. Use asc for ascending order or desc for descending order.

Available options:
asc,
desc
order_by
enum<string>
default:created_at

Evals can be ordered by creation time or last updated time. Use created_at for creation time or updated_at for last updated time.

Available options:
created_at,
updated_at

Response

The request has succeeded.

An object representing a list of evals.

object
enum<string>
default:list
required

The type of this object. It is always set to "list".

Available options:
list
data
object[]
required

An array of eval objects.

first_id
string
required

The identifier of the first eval in the data array.

last_id
string
required

The identifier of the last eval in the data array.

has_more
boolean
required

Indicates whether there are more evals available.